UbuntuUpdates.org

Package "python3-cinder"

Name: python3-cinder

Description:

Cinder Python 3 libraries

Latest version: 2:16.4.2-0ubuntu2.1
Release: focal (20.04)
Level: security
Repository: main
Head package: cinder
Homepage: https://launchpad.net/cinder

Links


Download "python3-cinder"


Other versions of "python3-cinder" in Focal

Repository Area Version
base main 2:16.0.0~b3~git2020041012.eb915e2db-0ubuntu1
updates main 2:16.4.2-0ubuntu2.1

Changelog

Version: 2:16.4.2-0ubuntu2.1 2023-01-31 15:07:13 UTC

  cinder (2:16.4.2-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Check VMDK subformat
      against an allowed list.
    - CVE-2022-47951

 -- Corey Bryant <email address hidden> Sun, 29 Jan 2023 11:10:33 -0500

Source diff to previous version
CVE-2022-47951 An issue was discovered in OpenStack Cinder before 19.1.2, 20.x before 20.0.2, and 21.0.0; Glance before 23.0.1, 24.x before 24.1.1, and 25.0.0; and

Version: 2:16.1.0-0ubuntu1 2020-07-07 16:07:08 UTC

  cinder (2:16.1.0-0ubuntu1) focal-security; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Ussuri (LP: #1883879).

  [ Corey Bryant ]
  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - Remove VxFlex OS credentials from connection_properties. Passwords are
      now stored in separate file and are retrieved during each attach/detach
      operation. Cinder is patched in 16.1.0 stable point release.
    - d/control: Align (Build-)Depends with min version of python3-os-brick
      required to fix credential exposure.
    - CVE-2020-10755

 -- Corey Bryant <email address hidden> Tue, 23 Jun 2020 16:52:33 -0400

1883879 [SRU] ussuri stable releases
CVE-2020-10755 An insecure-credentials flaw was found in all openstack-cinder versions before openstack-cinder 14.1.0, all openstack-cinder 15.x.x versions before o



About   -   Send Feedback to @ubuntu_updates